Bug 178817 - "Invalid RPM package" after downloading files for man-pages-ja-20041215-1.EL3.src.rpm and xloadimage-4.1-36.REL3.src.rpm
"Invalid RPM package" after downloading files for man-pages-ja-20041215-1.EL3...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 10:52 EST by JWjp
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description JWjp 2006-01-24 10:52:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.7.12-1.1.3.2

Description of problem:
Up2date Error messages
 
I get the following error messages when running Up2date.  These occur after the packages have already been downloaded and when they should be starting to be installed.
-----------------------

There was a fatal error communicating with the server.  The message was:
File Not Found: man-pages-ja-20041215-1.EL3.src.rpm

Error Message:
    Invalid RPM package man-pages-ja-20041215-1.EL3.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
---------------------------

There was a fatal error communicating with the server.  The message was:
File Not Found: xloadimage-4.1-36.RHEL3.src.rpm

Error Message:
    Invalid RPM package xloadimage-4.1-36.RHEL3.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run Up2date
2. select one of these 2 RPMs
3. after it downloads it will hang or give the above error messages
  

Actual Results:  You get an error message and Up2date quits.

Expected Results:  These RPMs should have been installed.

Additional info:

I started out to bring my RHEL 3 update and have updated everything except the kernel.
Comment 1 Dr. Stein 2006-01-26 18:57:04 EST
Trying to run up2date on a Red Hat Enterprise Linux 3.0 box.

I get this:

usermode-1.68-5E.4.src.rpm: ########################## Done.
usermode-gtk-1.68-5E.4.i386 ########################## Done.
usermode-1.68-5E.4.src.rpm: ########################## Done.
util-linux-2.11y-31.11.i386 ########################## Done.
util-linux-2.11y-31.11.src. ########################## Done.
xloadimage-4.1-36.RHEL3.i38 ########################## Done.
File Not Found: xloadimage-4.1-36.RHEL3.src.rpm

Error Message:
    Invalid RPM package xloadimage-4.1-36.RHEL3.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[root@beef jnichols]# 

I can run up2date on individual packages successfully, but cannot update the whole machine at once.
Comment 2 Dr. Stein 2006-01-31 17:56:27 EST
Seeing as how we have many Red Hat boxes, this is becoming a huge pain in the neck. It's still occuring as 
of today. 

i was able to get the box to update everything else by issuing the "up2date -u --exclude=xloadimage" 
command, but that's kind of a ghetto workaround.
Comment 3 RHEL Product and Program Management 2007-10-19 14:48:14 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.